## PeonyPropertyPage

PeonyPropertyPage — Property page descriptor object

## Functions

PeonyPropertyPage * | peony_property_page_new ()

## Properties

GtkWidget * | label | Read / Write
gchar * | name | Read / Write / Construct Only
GtkWidget * | page | Read / Write

## Types and Values

struct | PeonyPropertyPage

## Object Hierarchy

        GObject
        ╰── PeonyPropertyPage

## Includes

    #include <libpeony-extension/peony-property-page.h>

## Description

PeonyPropertyPage is an object that describes a page in the file properties dialog. Extensions can provide PeonyPropertyPage objects by registering a PeonyPropertyPageProvider and returning them from `peony_property_page_provider_get_pages()`, which will be called by the main application when creating file properties dialogs.

## Functions

### peony_property_page_new ()

    PeonyPropertyPage *
    peony_property_page_new (const char *name,
                             GtkWidget *label,
                             GtkWidget *page);

Creates a new PeonyPropertyPage from page_widget.

#### Parameters

name | the identifier for the property page |
label | the user-visible label of the property page |
page | the property page to display |

#### Returns

a newly created PeonyPropertyPage

## Types and Values

### struct PeonyPropertyPage

    struct PeonyPropertyPage;

## Property Details

### The `“label”` property

      “label”                    GtkWidget *

Label widget to display in the notebook tab.

Flags: Read / Write

### The `“name”` property

      “name”                     gchar *

Name of the page.

Flags: Read / Write / Construct Only

Default value: NULL

### The `“page”` property

      “page”                     GtkWidget *

Widget for the property page.

Flags: Read / Write